// Test the yahoo cm list protocol.


#include <dbus-c++/dbus.h>
#include <iostream>

#define SERVICE_NAME "org.freedesktop.DBus.TestVariant.variant"
#define SERVICE_PATH "/org/freedesktop/DBus/TestVariant/variant"
#define INTERFACE "org.freedesktop.DBus.TestVariant"

namespace {
  DBus::BusDispatcher dispatcher;
}

void callGetParameterMethod(DBus::Connection &conn)
{
  DBus::CallMessage message(SERVICE_NAME, SERVICE_PATH, INTERFACE,
			    "GetParameters");

  DBus::Message msg = conn.send_blocking(message, -1);

}

int main(int argc, char **argv)
{
  DBus::default_dispatcher = &dispatcher;
  DBus::Connection conn = DBus::Connection::SessionBus();
  callGetParameterMethod(conn);
  dispatcher.enter();
  return 0;
}
